package examples;

/**
 *  This is the HelloBean remote interface. This interface is what clients
 *  operate on when they interact with EJB objects. The container vendor will
 *  implement this interface; the implemented object is the EJB object, which
 *  delegates invocations to the actual bean.
 */
public interface Hello extends javax.ejb.EJBObject {

    /**
     *  The one method - hello - returns a greeting to the client.
     *
     *@return                               Description of the Returned Value
     *@exception  java.rmi.RemoteException  Description of Exception
     */
    public String hello() throws java.rmi.RemoteException;
    public String byeBye(String nome) throws java.rmi.RemoteException;
}

