import javax.naming.*;
import jnditut.fruit.Fruit;

class Feira {
    public static void main(String[] args) throws java.io.IOException {
        try {
            Fruit[] fruit = new Fruit[5];
            for (int i = 0; i < fruit.length; i++) {
                fruit[i] = new Fruit("Fruta_" + i);
            }
            
            Context ctx = new InitialContext();
            Context frutas = ctx.createSubcontext("frutas");
            Context citricas = frutas.createSubcontext("citricas");
            Context vermelhas = frutas.createSubcontext("vermelhas");
            
            citricas.rebind("laranja", fruit[0]);
            citricas.rebind("limao", fruit[1]);
            vermelhas.rebind("cereja", fruit[2]);
            vermelhas.bind("morango", fruit[3]);
            frutas.bind("banana", fruit[4]);
            
            NamingEnumeration list = ctx.list("");
            while (list.hasMore()) {
                NameClassPair nc = (NameClassPair)list.next();
                System.out.println(nc);
            }
            ctx.close();
        } catch (NamingException e) {
            System.out.println("Erro: " + e);
        }
    }
}
