import javax.naming.*;
import frutas.Fruit;

class Feira {
    public static void main(String[] args) throws java.io.IOException {
        try {
			// Crie os 5 objetos Fruit
            Fruit[] fruit = new Fruit[5];
            for (int i = 0; i < fruit.length; i++) {
                fruit[i] = new Fruit("Fruta_" + i);
            }
            
			// Obtenha o contexto inicial
            Context ctx = new InitialContext();
			
			// Crie os tres subcontextos pedidos, ligando-os
			// entre-si e ao contexto inicial de acordo com o desenho
			try {
				ctx.unbind("frutas");
			} catch (NamingException e) {}
			
            Context frutas = ctx.createSubcontext("frutas");
            Context citricas = frutas.createSubcontext("citricas");
            Context vermelhas = frutas.createSubcontext("vermelhas");
            
			// Ligue os 5 objetos a seus contextos
            citricas.rebind("laranja", fruit[0]);
            citricas.rebind("limao", fruit[1]);
            vermelhas.rebind("cereja", fruit[2]);
            vermelhas.rebind("morango", fruit[3]);
            frutas.rebind("banana", fruit[4]);
            
			// Impressao do resultado. Usando 
			// NameClassPair e list() para imprimir contextos
			// na raiz. Use JNDIView no JBoss para ver a rvore.
            NamingEnumeration list = ctx.list("");
            while (list.hasMore()) {
                NameClassPair nc = (NameClassPair)list.next();
                System.out.println(nc);
            }
			
			// Fechando o contexto
            ctx.close();
			
        } catch (NamingException e) {
            System.out.println("Erro: " + e);
        }
    }
}
