package hello;

public class Circulo implements java.io.Serializable {
    private int raio;
    private Ponto origem;
    
    public Circulo(int raio, Ponto origem) {
        this.raio = raio;
        this.origem = origem;
    }
    
    public int getRaio() {
        return raio;
    }
    
    public Ponto getOrigem() {
        return origem;
    }
    
    public void setOrigem(Ponto p) {
        origem = p;
    }
    
    public void setRaio(int raio) {
        this.raio = raio;
    }
    
    public String toString() {
        return "Circulo de raio " + raio + " em " + origem + ".";
    }
    
    public boolean equals(Object obj) {
        if ( !(obj instanceof Circulo)) return false;
        Circulo outro = (Circulo) obj;
        return raio == outro.raio && origem.equals(outro.origem);
    }
}
