package hello;

public class Ponto implements java.io.Serializable {
    private int x, y;
    
    public Ponto(int x, int y) {
        this.x = x;
        this.y = y;
    }
    
    public int getX() {
        return x;
    }
    
    public int getY() {
        return y;
    }
    
    public void setX(int x) {
        this.x = x;
    }
    
    public void setY(int y) {
        this.y = y;
    }
    
    public String toString() {
        return "(" + x + ", " + y + ")";
    }
    
    public boolean equals(Object obj) {
        if ( !(obj instanceof Ponto)) return false;
        Ponto outro = (Ponto) obj;
        return x == outro.x && y == outro.y;
    }
}
