package hello.corba;

import hello.corba.generated.*;

public class PontoImpl extends PontoRemotePOA {
    private int x, y;
    
    public PontoImpl(int x, int y) {
        this.x = x;
        this.y = y;
    }
    
    public int getX() {
        return x;
    }
    
    public int getY() {
        return y;
    }
    
    public void setX(int x) {
        this.x = x;
    }
    
    public void setY(int y) {
        this.y = y;
    }
    
    public String toStringRemote() {
        return "(" + x + ", " + y + ")";
    }
    
    public boolean equalsRemote(org.omg.CORBA.Any obj) {
        if ( !(obj instanceof PontoRemote)) return false;
        PontoRemote outro = (PontoRemote) obj;
        return x == outro.getX() && y == outro.getY();
    }

}
