package loja;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.util.Collection;

public interface ProdutoHome extends EJBHome {

	Produto create(String codigo, String nome, double preco, int quantidade) throws CreateException, RemoteException;

    public Produto findByPrimaryKey(ProdutoPK key) throws FinderException, RemoteException;
    public Collection findByNome(String name) throws FinderException, RemoteException;
    public Collection findByPreco(double min, double max) throws FinderException, RemoteException;
    public Collection findAllProdutos() throws FinderException, RemoteException;

	public String getProximoCodigo() throws RemoteException;
}

