import javax.naming.*;
import javax.jms.*;

public class Client {

    public static void main(String[] args) throws Exception {

        Context ctx = new InitialContext();
        QueueConnectionFactory factory =
             (QueueConnectionFactory) ctx.lookup("ConnectionFactory"); 
        QueueConnection connection =  factory.createQueueConnection();
        QueueSession session = connection.createQueueSession(
                               false, Session.AUTO_ACKNOWLEDGE);
        Queue queue = (Queue) ctx.lookup("queue/A");
        QueueSender sender = session.createSender(queue);
		
		System.out.println("Vou enviar mensagens...");
		for (int i = 0; i < 20; i++) {
			TextMessage msg = session.createTextMessage();
			msg.setStringProperty("Codigo", "" + ( (i*25) ) );
			msg.setIntProperty("Quantidade", ((i*25)+1) );
			msg.setText("Este eh o produto numero " + (i+1) );
			System.out.println("Enviando msg " + (i+1));
			sender.send(msg);
		}
    }
}
