package j2eetut.order;

/*
 *
 * Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

import java.util.*;
import java.rmi.RemoteException;
import javax.ejb.*;

public interface OrderHome extends EJBHome {

    public Order create(String orderId, String customerId,
        String status, double totalPrice, ArrayList lineItems)
        throws RemoteException, CreateException;
    
    public Order findByPrimaryKey(String orderId) 
        throws FinderException, RemoteException;

    public Collection findByProductId(String productId)
        throws FinderException, RemoteException;

}
