package j2eetut.salesrep;

/*
 *
 * Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

import java.util.*;
import java.rmi.RemoteException;
import javax.ejb.*;

public interface CustomerHome extends EJBHome {

    public Customer create(String customerId, String salesRepId,
        String name)
        throws RemoteException, CreateException;
    
    public Customer findByPrimaryKey(String customerId) 
        throws FinderException, RemoteException;

    public Collection findBySalesRep(String salesRepId)
        throws FinderException, RemoteException;

}
