import javax.naming.*;
import loja.ProdutoHome;
import loja.Produto;

import java.rmi.*;
import javax.ejb.*;

public class ProdutosClient {
	
	public static void main(String[] args) throws FinderException, CreateException, RemoteException, NamingException {
		
		// achar o bean e obter o home
		Context context = new InitialContext();
		Object ref = context.lookup("loja/produtos");
		ProdutoHome home = (ProdutoHome) javax.rmi.PortableRemoteObject.narrow(ref, loja.ProdutoHome.class);

		// obter o stub remote atraves do home
		Produto produto1 = home.create(home.getProximoCodigo(), "Jabberwock",4.00, 12);
		Produto produto2 = home.create(home.getProximoCodigo(), "Coisa", 26.00, 44);
		// chamar os metodos
		
		System.out.println("Produto "+produto1.getCodigo()+" - nome: " + produto1.getNome());
		produto2.setNome("Aquecedor de Gelo");
		System.out.println("Produto "+produto2.getCodigo()+" - nome: " + produto2.getNome());
		
	}

}
