package loja.ejb;

import javax.ejb.*;

import java.math.BigDecimal;

public interface CompraLocal extends EJBLocalObject {
	
	// Atributo e PK
	public String getNumero();
	public void setNumero(String numero);
	
	public String getStatus();
	public void setStatus(String status);
	
	// Relacionamentos 1 compra : N itens
	public ItemLocal[] getItens();
	public void setItens(ItemLocal[] itens);
	
	public void addItem(ItemLocal item);
	public void removeItem(ItemLocal item);
	
	public BigDecimal getTotal();
	
}
