package loja.ejb;

import javax.ejb.*;
import java.math.BigDecimal;
import java.util.Collection;
import java.rmi.RemoteException;

public interface ProdutoLocalHome extends EJBLocalHome {

	public ProdutoLocal create(String codigo) throws CreateException;
	public ProdutoLocal create(String codigo, String nome, double preco) throws CreateException;
	public ProdutoLocal create(String codigo, String nome, double preco, int quantidade) throws CreateException;
	public ProdutoLocal findByPrimaryKey(ProdutoPK pk) throws FinderException;
	public Collection findAll() throws FinderException;
	public String getProximoCodigo();
}
