package j2eetut.warehouse;

/*
 *
 * Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

import javax.ejb.EJBObject;
import java.rmi.RemoteException;
import java.sql.SQLException;

public interface Warehouse extends EJBObject {
    
    public void ship(String productId, String orderId, int quantity)
        throws RemoteException;

    public String getStatus(String productId, String orderId)
        throws RemoteException;
}
