package loja;

import loja.integration.ServiceLocator;
import loja.ejb.*;

import java.rmi.RemoteException;

/**
 * Business Delegate for <XDtClass:classOf><XDtEjb:ejbName /></XDtClass:classOf>
 */
public class <XDtClass:classOf><XDtClass:classTagValue tagName="loja:business-delegate" paramName="name"/></XDtClass:classOf> {

	<XDtClass:classOf><XDtEjb:ejbName /></XDtClass:classOf> facade;
	
	public <XDtClass:classOf><XDtClass:classTagValue tagName="loja:business-delegate" paramName="name"/></XDtClass:classOf>() throws LojaException {
		ServiceLocator locator = ServiceLocator.getInstance();
		<XDtEjbHome:homeInterface type="remote" /> home = (<XDtEjbHome:homeInterface type="remote" />)
			locator.findRemoteEJB("<XDtEjbHome:jndiName type="remote" />", <XDtEjbHome:homeInterface type="remote" />.class);
		try {
			facade = home.create();
			if (facade == null) {
				throw new LojaException("Fachada eh null!");
			}
		} catch (javax.ejb.CreateException e) {
			throw new LojaException(e);
		} catch (java.rmi.RemoteException e) {
			throw new LojaException(e);
		}
	}

   <XDtMethod:forAllMethods>
    <XDtEjbIntf:ifIsInterfaceMethod superclasses="false" interface="remote">
    <XDtMethod:methodComment indent="3"/>
   public <XDtMethod:methodType/> <XDtMethod:methodName/>( <XDtParameter:parameterList/> ) throws LojaException {
   	try {
		  <XDtType:ifIsNotOfType value="return-type" type="void" >return </XDtType:ifIsNotOfType>facade.<XDtMethod:methodName/>(<XDtParameter:parameterList includeDefinition="false" />);
	  } catch (RemoteException e) {
		  throw new LojaException(e);
	  }
   }
    </XDtEjbIntf:ifIsInterfaceMethod>
   </XDtMethod:forAllMethods>
}
