package loja.ejb;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.math.BigDecimal;

import loja.*;

public interface LoginSessionFacade extends EJBObject {
	
	public boolean simpleLogin(String nome, String senha) throws RemoteException;
	public void cadastrar(ClienteVO cliente) throws LojaException, RemoteException;
	public void atualizar(ClienteVO clienteVO) throws LojaException, RemoteException;
	public ClienteVO mostrar(String userid) throws LojaException, RemoteException;
	public boolean existe(String userid) throws LojaException, RemoteException;
	public String getCurrentUserid() throws LojaException, RemoteException;
	
}
