package loja.ejb;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.math.BigDecimal;
import java.util.Collection;

import loja.*;

public interface LojaSessionFacade extends EJBObject {
	
	public void criarCarrinho() throws LojaException, RemoteException;
	public CarrinhoSession getCarrinho() throws LojaException, RemoteException;
	public ProdutoVO[] listarProdutosDisponiveis() throws LojaException, RemoteException;
	public CompraVO processarCompra(String userid, ItemVO[] carrinho) throws LojaException, RemoteException;
	public String comprar() throws LojaException, RemoteException;
	
}
