package loja.ejb;

import javax.ejb.*;
import java.math.BigDecimal;
import java.rmi.RemoteException;

public interface ProdutoLocal extends EJBLocalObject {
	
	public String getCodigo();
	public void setCodigo(String codigo);
	public void setNome(String nome);
	public String getNome();
	public void setPreco(BigDecimal preco);
	public BigDecimal getPreco();
	public int getQuantidade();
	public void setQuantidade(int quantidade);
	public void addItens(int quantidade);
	public void removeItens(int quantidade) throws loja.LojaException;

}
