package loja.integration;

import loja.*;

public interface UsuarioDAO {
	public boolean isUseridFree(String userid) throws LojaException;
	public String create(UsuarioVO produto) throws LojaException;
	public void remove(String codigo) throws LojaException;
	public UsuarioVO load(String codigo) throws LojaException;
	public void store(UsuarioVO produto) throws LojaException;
	
	public boolean exists(String codigo) throws LojaException;
	public String[] getAll() throws LojaException;
}
