package loja.client;

import loja.integration.ServiceLocator;
import loja.ejb.ProdutoHome;
import loja.ejb.Produto;

import java.rmi.*;
import javax.ejb.*;

public class ClienteEntity {
	
	public static void main(String[] args) throws FinderException, CreateException, RemoteException, loja.LojaException {
		
		
		// achar o bean e obter o home
		ServiceLocator locator = ServiceLocator.getInstance();
		ProdutoHome home = (ProdutoHome) locator.findRemoteEJB("produto", loja.ejb.ProdutoHome.class);
		
		// obter o stub remote atraves do home
		Produto produto1 = home.create("30", "Jabberwock", new java.math.BigDecimal(4.00), 12);
		Produto produto2 = home.create("31");
		// chamar os metodos
		
		System.out.println("Produto 1 - nome: " + produto1.getNome());
		produto2.setNome("Aquecedor de Gelo");
		System.out.println("Produto 2 - nome: " + produto2.getNome());
		
	}

}
