package loja.ejb;

import javax.ejb.*;
import java.math.BigDecimal;
import java.util.Collection;
import java.rmi.RemoteException;

public interface ProdutoLocalHome extends EJBLocalHome {

	// veja Home remoto para saber quais metodos implementar
	public Produto create(String codigo) throws CreateException;
	public Produto create(String codigo, String nome, BigDecimal preco) throws CreateException;
	public Produto create(String codigo, String nome, BigDecimal preco, int quantidade) throws CreateException;
	public Produto findByPrimaryKey(ProdutoPK pk) throws FinderException;
	public Collection findAll() throws FinderException;
}
