package exercicio.cliente;

import exercicio.servidor.*;

import javax.naming.Context;
import javax.naming.InitialContext;
import java.util.Properties;

public class ContasClient {

    public static void main(String[] args) throws Exception {
        
		// Localizacao do objeto via JNDI
        Properties props = System.getProperties();
        Context ctx = new InitialContext(props);
		
		// Este nome estah definido no arquivo etc/jboss/jboss.xml
        Object obj = ctx.lookup("exercicio/ContasHome");

		// Converte a referencia CORBA em objeto Java
        ContasHome home = (ContasHome)
                javax.rmi.PortableRemoteObject.narrow(
                obj, ContasHome.class);

		// Cria objeto remoto e obtem referencia
        Contas contas = home.create();

		// Chama metodos remotos
        System.out.println(contas.hello());
        
		// Chame os outros metodos aqui
		
		///////////////////////////////

        contas.remove();
    }
}

