package br.javali.editor.io;

import junit.framework.*;

public class DiscoTest extends TestCase {
    private Disco _disco;
    private Persistencia _persistencia;
    
    public DiscoTest(String nome) {
        super(nome);
    }
    
    protected void setUp() {
        _disco = (Disco)Disco.getInstance();
        _persistencia = Disco.getInstance();
    }
    
    protected void tearDown() {
        _persistencia = _disco = null;
    }
    
    public void testSingleton() {
        assert(_disco.equals(_persistencia));
        assert(_disco == _persistencia);
        assert(_persistencia == Disco.getInstance());
    }
    
    public static void main(String[] args) {
        junit.textui.TestRunner.run(DiscoTest.suite());
    }

    public static Test suite() {
        return new TestSuite(DiscoTest.class);
    }
}
