package hello.unicast;

import java.rmi.server.UnicastRemoteObject;
import java.rmi.*;

import hello.*;

public class NomeImpl extends UnicastRemoteObject implements NomeRemote {
    private String nome;
    
    public NomeImpl(String nome) throws RemoteException {
        this.nome = nome;
    }
    
    public String getNome() throws RemoteException {
        return nome;
    }
    
    public void setNome(String nome) throws RemoteException {
        this.nome = nome;
    }
    
    public String toStringRemote() throws RemoteException {
        return nome;
    }
    
    public boolean equalsRemote(Object obj) throws RemoteException {
        if ( !(obj instanceof NomeRemote)) return false;
        NomeRemote outro = (NomeRemote) obj;
        return nome.equals(outro.getNome());
    }
}
