package loja;

import java.rmi.*;
import javax.naming.*;
import java.math.BigDecimal;

import java.awt.event.*;
import java.awt.*;
import javax.swing.*;

/**
 * Esta classe  um servidor que publicar o
 * objeto no ORB.
 * EXERCICIO - VEJA COMENTARIO (1) ABAIXO.
 */
public class ProdutoServer {

	public static String jndiName = "produtos";
    
    public static void main(String[] args) {       
        
        try {
            // Crie uma instncia da fabrica de produtos remotos
            ProdutoFactory factory = new ProdutoFactoryImpl();
			
			// Procura um jndi.properties no Classpath
			Context ctx = new InitialContext();
			
		    // Vamos criar um subcontexto "loja"
			Context subContexto = null;
			try {
				subContexto = (Context)ctx.lookup("loja");
			} catch (NamingException e) {
				subContexto = ctx.createSubcontext("loja");
			}
			
			// Agora registre o objeto remoto (factory) no subcontexto
			// (use rebind())
            /*** (1) Preencha aqui e descomente as linhas seguintes ***/
		//	System.out.println("Servidor no ar, servindo o objeto: loja/" + jndiName);
        //} catch (RemoteException e) {
        //    System.out.println("Problemas no registro do objeto: " + e);
        } catch (Exception e) {
			if (e instanceof RuntimeException) throw (RuntimeException)e;
            throw new InternalError("Erro na aplicaao: " + e);
        }
    }
}
