package loja;

import java.math.BigDecimal;
import java.rmi.RemoteException;
import java.rmi.Remote;

public interface Produto extends Remote{
	
	public String getCodigo() throws RemoteException;
	public void setCodigo(String codigo) throws RemoteException;
	
	public void setNome(String nome) throws RemoteException;
	public String getNome() throws RemoteException;
	
	public void setPreco(BigDecimal preco) throws RemoteException;
	public BigDecimal getPreco() throws RemoteException;
	
	public int getQuantidade() throws RemoteException;
	public void setQuantidade(int quantidade) throws RemoteException;
	
	public void addItens(int quantidade) throws RemoteException;

}
