package jms;

import javax.ejb.*;
import javax.jms.*;

public class ProdutosMDB implements MessageDrivenBean, MessageListener {

    protected MessageDrivenContext ctx;
    public void setMessageDrivenContext(MessageDrivenContext ctx) {
        this.ctx = ctx;
    }
    public void ejbCreate() {}
    public void ejbRemove() {}

    public void onMessage(Message msg) {
        TextMessage tm = (TextMessage) msg;
        try {
            String text = tm.getText();
			String quantidade = tm.getStringProperty("Quantidade");
			String codigo = tm.getStringProperty("Codigo");
            System.err.println("Produto "+codigo+" tem "+quantidade+" unidades em estoque. Descricao: " + text);
        } catch (JMSException e) {
            e.printStackTrace();
        }
    }
}

