import javax.naming.*;
import loja.ProdutoSessionHome;
import loja.ProdutoSession;

import java.rmi.*;
import javax.ejb.*;

public class SessionClient {
	public static void main(String[] args) throws Exception  {
		// achar o bean e obter o home
		Context context = new InitialContext();
		Object ref = context.lookup("loja/session"); // JNDI global
		ProdutoSessionHome home = (ProdutoSessionHome) 
			javax.rmi.PortableRemoteObject.narrow(ref, loja.ProdutoSessionHome.class);
		ProdutoSession session = home.create();
		
		// criando 4 produtos
		session.criarProduto("Jabberwock",4.00, 12);
		session.criarProduto("Coisa", 26.00, 44);
		session.criarProduto("Alifante",32.00, 500);
		session.criarProduto("Hidrossauro", 22.00, 1);
		
		// listando
		System.out.println("Produtos disponiveis ");
		System.out.println(session.listarProdutos());
	}
}
