package j2eetut.bank;

/*
 *
 * Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

import javax.ejb.EJBObject;
import java.rmi.RemoteException;

public interface Bank extends EJBObject {
    
    public void transferToSaving(double amount)
        throws RemoteException, InsufficientBalanceException;

    public double getCheckingBalance()
        throws RemoteException;

    public double getSavingBalance()
        throws RemoteException;
}
