create table produtos (
	id integer primary key, 
	nome varchar(64), 
	preco numeric(10,2),
	qte   integer
);

create table usuarios (
	id varchar(8) primary key,
	senha varchar(16),
	grupo varchar(16)
);

create table clientes (
	id varchar(8) primary key,
	nome varchar(64),
	email varchar(64),
	endereco varchar(256),
	cartao varchar(16),
	constraint fk_usuario foreign key (id) references usuarios(id)
);

create table compras (
	id integer primary key,
	cliente varchar(8),
	status varchar(16),
	constraint fk_cliente foreign key (cliente) references clientes(id)
);

create table itens (
	id integer primary key,
	compra integer,
	produto integer,
	qte integer,
	constraint fk_compra foreign key (compra) references compras(id),
	constraint fk_produto foreign key (produto) references produtos(id)
);




