package loja;

public class ClienteVO extends UsuarioVO {

	private String nome;
	private String email;
	private String cartao;
	private String endereco;
	
	public ClienteVO() {}
	
	public ClienteVO(String userid, String senha, String grupo, String nome, String email, String endereco, String cartao) {
		super(userid, senha, grupo);
		this.nome = nome;
		this.email = email;
		this.endereco = endereco;
		this.cartao = cartao;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}
	public String getNome() {
		return nome;
	}
	
	public void setEmail(String email) {
		this.email = email;
	}
	public String getEmail() {
		return email;
	}
	
	public void setEndereco(String endereco) {
		this.endereco = endereco;
	}
	public String getEndereco() {
		return endereco;
	}
	
	public void setCartao(String cartao) {
		this.cartao = cartao;
	}
	public String getCartao() {
		return cartao;
	}
	public String getFinalCartao() {
		if (cartao.length() >= 16) {
			return "**** **** **** " + cartao.substring(12, cartao.length());
		} else return "****";
	}
	
	public int hashCode() {
		return super.hashCode();
	}
	
	public boolean equals(Object o) {
		if (!(o instanceof ClienteVO)) return false;
		return super.equals(o);
	}
	
	public String toString() {
		return super.toString() + " ( " + nome + " )";
	}

}
