package loja.ejb;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.math.BigDecimal;
import java.util.Collection;

import loja.*;

public interface CarrinhoSession extends EJBObject {
	
	public void adicionarProdutos(String codigo, int quantidade) throws LojaException, RemoteException;
	public void removerProdutos(String codigo) throws LojaException, RemoteException;
	public void esvaziar() throws LojaException, RemoteException;
	public ItemVO[] getConteudo() throws LojaException, RemoteException;
	
}
