package loja.ejb;

import javax.ejb.*;
import java.util.Collection;

public interface ItemLocalHome extends EJBLocalHome {

	public ItemLocal create(String numero, ProdutoLocal produto, String compraId) throws CreateException;
	public ItemLocal create(String numero, ProdutoLocal produto, String compraId, int quantidade) throws CreateException;
	public ItemLocal findByPrimaryKey(ItemPK pk) throws FinderException;
	public Collection findAll() throws FinderException;
	public Collection findByCompra(String compraId) throws FinderException;
	public Collection findByProduto(String produtoId) throws FinderException;
	
}
