package loja.integration;

import loja.*;

public interface ClienteDAO {
	public boolean isUseridFree(String userid) throws LojaException;
	public String create(ClienteVO produto) throws LojaException;
	public void remove(String codigo) throws LojaException;
	public ClienteVO load(String codigo) throws LojaException;
	public void store(ClienteVO produto) throws LojaException;
	
	public boolean exists(String codigo) throws LojaException;
	public String[] getAll() throws LojaException;
	public String[] getByNome(String nome) throws LojaException;
}
