package loja.integration;

import loja.*;

public interface CompraDAO {
	public String criarNumero() throws LojaException;
	public String create(CompraVO compra) throws LojaException;
	public void remove(String codigo) throws LojaException;
	public CompraVO load(String codigo) throws LojaException;
	public void store(CompraVO compra) throws LojaException;
	
	public boolean exists(String codigo) throws LojaException;
	public String[] getAll() throws LojaException;
	public String[] getByClienteId(String clienteId) throws LojaException;
	public String[] getByStatus(Status status) throws LojaException;
}
