/*
 *  Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
 *
 *  This software is the proprietary information of Sun Microsystems, Inc.
 *  Use is subject to license terms.
 *
 */
package com.sun.ebank.util;

/**
 * This interface defines names in code used as args for lookup().
 * This file was altered to reflect JNDI names not in java:comp/env domain.
 */

public interface CodedNames {

    public final static String BANK_DATABASE = "java:/Cloudscape"; //"jdbc/BankDB";

    public final static String ACCOUNT_EJBHOME = "MyAccount";
            //"ejb/account";

    public final static String ACCOUNT_CONTROLLER_EJBHOME = "MyAccountController";
            //"ejb/accountController";

    public final static String CUSTOMER_EJBHOME = "MyCustomer";
            //"ejb/customer";

    public final static String CUSTOMER_CONTROLLER_EJBHOME = "MyCustomerController";
            //"ejb/customerController";

    public final static String TX_EJBHOME = "MyTx";
            //"ejb/tx";

    public final static String TX_CONTROLLER_EJBHOME = "MyTxController";
            //"ejb/txController";

}

