package loja.ejb;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.math.BigDecimal;

import loja.*;

public interface AdminLojaSessionFacade extends EJBObject {
	
	public String criarProduto(String nome, BigDecimal preco) throws LojaException, RemoteException;
	public void removerProduto(String codigo) throws LojaException, RemoteException;
	public ProdutoVO[] listarProdutos() throws LojaException, RemoteException;
	public void solicitarCompra(String codigo, int quantidade) throws LojaException, RemoteException;
	public void esvaziarEstoque(String codigo) throws LojaException, RemoteException;
	
}
