package loja.integration;

import loja.*;

public interface ProdutoDAO {
	public String criarCodigo() throws LojaException;
	public String create(ProdutoVO produto) throws LojaException;
	public void remove(String codigo) throws LojaException;
	public ProdutoVO load(String codigo) throws LojaException;
	public void store(ProdutoVO produto) throws LojaException;
	
	public boolean exists(String codigo) throws LojaException;
	public String[] getAll() throws LojaException;
}
