package loja.ejb;

import javax.ejb.*;
import java.math.BigDecimal;
import java.util.Collection;
import java.rmi.RemoteException;

public interface ProdutoHome extends EJBHome {

	public Produto create(String codigo) throws CreateException, RemoteException;
	public Produto create(String codigo, String nome, BigDecimal preco) throws CreateException, RemoteException;
	public Produto create(String codigo, String nome, BigDecimal preco, int quantidade) throws CreateException, RemoteException;
	public Produto findByPrimaryKey(ProdutoPK pk) throws FinderException, RemoteException;
	public Collection findAll() throws FinderException, RemoteException;
	
}
